Next: IOR, Previous: INT2, Up: Intrinsic Procedures [Contents][Index]

### 9.151 `INT8` — Convert to 64-bit integer type

Description:

  Convert to a `KIND=8` integer type. This is equivalent to the standard `INT` intrinsic with an optional argument of `KIND=8`, and is only included for backwards compatibility.

Standard:

  GNU extension

Class:

  Elemental function

Syntax:

  `RESULT = INT8(A)`

Arguments:

  A | Shall be of type `INTEGER`, `REAL`, or `COMPLEX`.

Return value:

  The return value is a `INTEGER(8)` variable.

See also:

  INT, INT2, LONG